<!DOCTYPE html>
<html lang="en">
	<head>
		<title>OSSO - Open Source Software Ontology</title>
		<!-- JQuery -->
		<script
			src="https://code.jquery.com/jquery-3.5.1.min.js"
			integrity="sha256-9/aliU8dGd2tb6OSsuzixeV4y/faTqgFtohetphbbj0="
			crossorigin="anonymous">
		</script>
		<!-- Bootsrap 5 -->
		<script
			src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/js/bootstrap.bundle.min.js"
			integrity="sha384-ygbV9kiqUc6oa4msXn9868pTtWMgiQaeYH7/t7LECLbyPA2x65Kgf80OJFdroafW"
			crossorigin="anonymous">
		</script>
		<!-- Index JS Script -->
		<script type="module" src="index.js"></script>
		<!-- Bootstrap CSS -->
		<link
			href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/css/bootstrap.min.css"
			rel="stylesheet"
			integrity="sha384-giJF6kkoqNQ00vy+HMDP7azOuL0xtbfIcaT9wjKHr8RbDVddVHyTfAAsrekwKmP1"
			crossorigin="anonymous">
		<!-- FontAwesome CSS -->
		<link
			rel="stylesheet"
			href="https://pro.fontawesome.com/releases/v5.10.0/css/all.css"
			integrity="sha384-AYmEC3Yw5cVb3ZcuHtOA93w35dYTsvhLPVnYs9eStHfGJvOvKxVfELGroGkvsg+p"
			crossorigin="anonymous"/>
	</head>
	<body>
		<div class="d-flex flex-column">
			<center>
				<h1>OSSO</h1>
				<h2>Open Source Software Ontology</h2>
				<div class="input-group d-flex justify-content-center">
					<div class="form">
						<input placeholder="Search" type="search" id="search_field" class="form-control" />
					</div>
					<button id="search_button" type="button" class="btn btn-primary">
						<i class="fas fa-search"></i>
					</button>
				</div>
				<div class="mt-2 btn-group">
					<button class="btn btn-secondary btn-sm dropdown-toggle" type="button" data-bs-toggle="dropdown" aria-expanded="false">
						Add OS filter
					</button>
					<ul id="os_filter_items" class="dropdown-menu">
					</ul>
				</div>
				<div class="mt-2 btn-group">
					<button class="btn btn-secondary btn-sm dropdown-toggle" type="button" data-bs-toggle="dropdown" aria-expanded="false">
						Add feature filter
					</button>
					<ul id="feature_filter_items" class="dropdown-menu">
					</ul>
				</div>
				<div class="mt-2 btn-group">
					<button class="btn btn-secondary btn-sm dropdown-toggle" type="button" data-bs-toggle="dropdown" aria-expanded="false">
						Add license filter
					</button>
					<ul id="feature_filter_items" class="dropdown-menu">
						<li><a id="Copyleft_license_adder" class="dropdown-item" href="#">Copyleft</a></li>
						<li><a id="FreeLicense_adder" class="dropdown-item" href="#">Free license</a></li>
						<li><a id="Non_commercial_license_adder" class="dropdown-item" href="#">Non commercial</a></li>
						<li><a id="Permissive_license_adder" class="dropdown-item" href="#">Permissive</a></li>
						<li><a id="Proprietary_license_adder" class="dropdown-item" href="#">Proprietary</a></li>
						<li><a id="Public_domain_license_adder" class="dropdown-item" href="#">Public domain</a></li>
					</ul>
				</div>
				<div class="justify-content-center d-flex" id="enabled_filters">

				</div>
			<div class="container mt-5" style="display: none" id="result_container">
				<div class="h3">Results:</div>
				<div class="mt-3" id="results"></div>
				<div id="search_spinner" class="spinner-border text-primary">
					<span class="sr-only">Loading...</span>
				</div>
			</div>
			</center>
		</div>
	</body>
</html>

